# ReflectionProperty::isPrivate

(PHP 5, PHP 7)

ReflectionProperty::isPrivate — Checks if property is private

### Description

public ReflectionProperty::isPrivate ( void ) : bool

Checks whether the property is private.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if the property is private, `FALSE` otherwise.

### See Also

- ReflectionProperty::isPublic() - Checks if property is public
- ReflectionProperty::isProtected() - Checks if property is protected
- ReflectionProperty::isStatic() - Checks if property is static